<template>
  <div class="list">
    <div
      class="item"
      v-for="s in sideMenus"
      :key="s._id"
      @click="changed(s)"
    >
      <div class="ui checkbox">
        <input
          type="checkbox"
          :checked="contains(s)"
          :class="contains(s) ? 'checked' : ''"
        >
        <label>{{ s.name }}</label>
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'
import store from '@/store/Store'

export default {
  name: 'CheckboxesSideMenus',
  store,
  props: {
    sideMenusSelected: Array // liste d'object
  },
  methods: {
    contains (sideMenu) {
      let res = false
      this.sideMenusSelected.forEach(ss => {
        if (ss._id === sideMenu._id) res = true
      })
      return res
    },
    changed (sideMenu) {
      this.$emit('sideMenuChanged', sideMenu)
    }
  },
  computed: {
    ...mapGetters({
      sideMenus: 'SideMenusStore/sideMenus'
    })
  }
}
</script>
